Bug 55286 - HOMETEXMF not activated in texmf.cnf
Summary: HOMETEXMF not activated in texmf.cnf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tetex   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On: 55621
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-29 09:25 UTC by Christian Mondrup
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-09 16:35:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2001:166 normal SHIPPED_LIVE Updated teTeX packages available 2001-12-11 05:00:00 UTC

Description Christian Mondrup 2001-10-29 09:25:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
In tetex configuration file /usr/share/texmf/web2c/texmf.cnf the
environment The environment HOMETEXMF is commented out as is also the case
with its integration into the general environment TEXMF. This is no problem
for users with root privileges. But other users will not be able to define
their 'private' texmf trees without assistance from sysadm. Hence (at
least) the lines

%   HOMETEXMF = $HOME/texmf

and 

TEXMF = {$HOMETEXMF,!!$TEXMFLOCAL,!!$TEXMFMAIN}

should be activated. Alternatively this environment definition could be
used

 TEXMF = {!!$HOMETEXMF,!!$TEXMFMAIN}

allowing non-root users to build private tree structured texmf-s

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mkdir $HOME/texmf
2. create some file $HOME/texmf/foo.tex
3. texhash $HOME/texmf
4. create another file $HOME/bar.tex containing '\input foo'
6. run tex $HOME/bar.tex

Actual Results:  TeX reports this error

This is TeX, Version 3.14159 (Web2C 7.3.1)
(test.tex
! I can't find file `foo'.
l.1 \input foo


Expected Results:  TeX should have processed the content of
$HOME/texmf/foo.tex

Additional info:

Comment 1 Tim Waugh 2001-10-29 10:29:11 UTC
I tried this:

HOMETEXMF = $HOME/texmf
TEXMF = {$HOMETEXMF,!!$TEXMFMAIN}

and also this:

HOMETEXMF = $HOME/texmf
TEXMF = {!!$HOMETEXMF,!!$TEXMFMAIN}

I got "I can't find file `foo'" with both variations.  What am I doing wrong?


Comment 2 Tim Waugh 2001-10-29 10:37:24 UTC
Oh, it should be

1. mkdir -p $HOME/texmf/tex
2. create some file $HOME/texmf/tex/foo.tex
3. texhash $HOME/texmf
4. create another file $HOME/bar.tex containing '\input foo'
5. run tex $HOME/bar.tex

right?


Comment 3 Christian Mondrup 2001-10-29 12:05:37 UTC
My main point is that at installation /usr/share/texmf/web2c/texmf.cnf should
have the environment HOMETEXMF defined and included into the main TeX
environment TEXMF. As it is now the lines containing these environment
definitions are commented out. 

If HOMETEXMF is defined and included into TEXMF then a user with no root
priviliges will be able to successfully do what I describe under 'Steps to
Reproduce'. An example of a 'private' texmf tree could be the TeX files
belonging to the music typesetting macros 'MusiXTeX'. See my HOWTO for MusiXTeX
unix users
http://icking-music-archive.sunsite.dk/software/musixtex/musixtex-for-unix.html

Comment 4 Christian Mondrup 2001-10-29 12:09:50 UTC
Oops - I forgot to add that in connection with 'Steps to Reproduce' the command
'texhash $HOME/texmf' should be run between step 4 and 5.

Comment 5 Christian Mondrup 2001-11-09 16:04:42 UTC
Am I supposed to supply further information? I've received a message concerning
this bug twice with an interval of a week.

Comment 6 Tim Waugh 2001-11-09 16:11:09 UTC
No.  I updated it to mark it as depending on another bug that was preventing 
the tetex bug from building in our build system.  That's now fixed (which 
probably generated the second mail).

The current package sets HOMETEXMF and also TEXMFLOCAL (to 
/usr/local/share/texmf).  I'll close this bug report when the package shows up 
in rawhide.


Comment 7 Christian Mondrup 2001-11-09 16:33:47 UTC
What you write concerning the settings of HOMETEXMF and TEXMFLOCAL _could_ be
read such that both environments are now defined as /usr/local/share/texmf. I
Hope I misunderstand you :-) and that HOMETEXMF is defined as $HOME/texmf

Comment 8 Tim Waugh 2001-11-09 16:35:19 UTC
Of course.


Comment 9 Tim Waugh 2001-11-12 22:27:18 UTC
Fixed in tetex-1.0.7-36.3.



Note You need to log in before you can comment on or make changes to this bug.